Hello,

I can not emerge gnome-sharp-2.16.0 (2.8.0 neither). I get the following error message:

Code:
Configuration summary

   * Installation prefix = /usr
   * C# compiler: /usr/bin/mcs  -define:GTK_SHARP_2_6 -define:GTK_SHARP_2_8 -define:GNOME_SHARP_2_16

   Optional assemblies included in the build:

      * art-sharp.dll: yes
      * gnomevfs-sharp.dll: no
      * gnome-sharp.dll: yes
      * rsvg-sharp.dll: no 
      * gtkhtml-sharp.dll: no 
      * vte-sharp.dll: no 

      NOTE: if any of the above say 'no' you may install the
            corresponding development packages for them, rerun
            autogen.sh to include them in the build.

---
Making all in .
make[1]: Entering directory `/var/tmp/portage/gnome-sharp-2.16.0/work/gnome-sharp-2.16.0/gnome'
cp ./gnome-api.raw gnome-api.xml
chmod u+w gnome-api.xml
/usr/bin/gapi2-fixup --api=gnome-api.xml --metadata=./Gnome.metadata 
Warning: <attr path="/api/namespace/class[@cname='GnomePrint_']/method/*/*[@name='in']"/> matched no nodes
Warning: <attr path="/api/namespace/object[@cname='PanelApplet']/method[@cname='panel_applet_set_flasg']"/> matched no nodes
make[1]: *** No rule to make target `//usr/share/gapi-2.0/gnome-vfs-api.xml', needed by `generated-stamp'.  Stop.
make[1]: Leaving directory `/var/tmp/portage/gnome-sharp-2.16.0/work/gnome-sharp-2.16.0/gnome'
make: *** [all-recursive] Error 1

!!! ERROR: dev-dotnet/gnome-sharp-2.16.0 failed.
Call stack:
  ebuild.sh, line 1546:   Called dyn_compile
  ebuild.sh, line 937:   Called src_compile
  ebuild.sh, line 1255:   Called gtk-sharp-component_src_compile
  gtk-sharp-component.eclass, line 176:   Called die

!!! compile failure
!!! If you need support, post the topmost build error, and the call stack if relevant.
EDIT:

http://bugs.gentoo.org/show_bug.cgi?id=151710

re-emerging gnome-vfs, gnomevfs-sharp did the trick. Note: emerging in *that* order!